Amplitude

Integrate your application with the Amplitude API

🚀 Quickstart

Connect to Amplitude with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Amplitude.

Authorize Amplitude

Go to Connections -> Add Test Connection -> Authorize, then enter your Amplitude API Key, Secret Key and Hostname. Later, you'll let your users do the same directly from your app.

Call the Amplitude API

Let's make your first request to the Amplitude API (fetch a list of events). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/api/2/events/list" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Amplitude Integration Guides

Nango-maintained guides for common use cases.

Official docs: Amplitude API Documentation

🧩 Pre-built syncs & actions for Amplitude

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
batch-eventsSend batched events to Amplitude in bulk.Action🔗 Github
bulk-update-annotation-categoriesAssign an annotation category to multiple annotations.Action🔗 Github
create-annotation-categoryCreate an annotation category.Action🔗 Github
create-annotationCreate a chart annotation.Action🔗 Github
create-event-categoryCreate an event category in Amplitude taxonomy.Action🔗 Github
create-event-propertyCreate an event property in taxonomy.Action🔗 Github
create-event-typeCreate a taxonomy event type.Action🔗 Github
create-releaseCreate a release marker in Amplitude.Action🔗 Github
create-user-deletion-jobCreate a user privacy deletion job.Action🔗 Github
create-user-propertyCreate a user property in taxonomy.Action🔗 Github
delete-annotation-categoryDelete an annotation categoryAction🔗 Github
delete-annotationDelete a chart annotationAction🔗 Github
delete-event-categoryDelete an event categoryAction🔗 Github
delete-event-propertyDelete an event property in taxonomy.Action🔗 Github
delete-event-typeDelete a taxonomy event type.Action🔗 Github
delete-user-from-deletion-jobRemove an Amplitude ID from a deletion jobAction🔗 Github
delete-user-propertyDelete a user property in taxonomy.Action🔗 Github
download-cohortDownload cohort membersAction🔗 Github
export-eventsStart or retrieve bounded event exportAction🔗 Github
get-active-user-countsGet active or new user counts over a date range.Action🔗 Github
get-annotation-categoryRetrieve an annotation category.Action🔗 Github
get-annotationRetrieve a chart annotation.Action🔗 Github
get-average-session-lengthGet average session length in seconds per day.Action🔗 Github
get-cohortRetrieve cohort metadata.Action🔗 Github
get-event-categoryRetrieve an event category from Amplitude taxonomy.Action🔗 Github
get-event-propertyRetrieve an event property in taxonomy.Action🔗 Github
get-event-segmentationQuery event metrics with segmentation, optionally comparing up to two events.Action🔗 Github
get-event-typeRetrieve a taxonomy event type.Action🔗 Github
get-events-summaryGet the current week's tracked events with totals, uniques, and %DAU.Action🔗 Github
get-funnel-analysisGet funnel drop-off and conversion rates across a sequence of events.Action🔗 Github
get-group-propertyRetrieve a group property in taxonomy.Action🔗 Github
get-realtime-active-usersGet active user counts at 5-minute granularity for the last two days.Action🔗 Github
get-retention-analysisGet user retention between a starting action and a returning action.Action🔗 Github
get-revenue-ltvGet lifetime value metrics for new users over a date range.Action🔗 Github
get-session-length-distributionGet session counts bucketed by predefined length periods.Action🔗 Github
get-sessions-per-userGet average number of sessions per user per day.Action🔗 Github
get-user-activityGet a user's event history and summary by Amplitude ID.Action🔗 Github
get-user-compositionGet the distribution of users across the values of a user or group property.Action🔗 Github
get-user-deletion-jobsList user privacy deletion jobs in a date range.Action🔗 Github
get-user-propertyRetrieve a user property in taxonomy.Action🔗 Github
group-identifyUpdate group propertiesAction🔗 Github
identify-userUpdate user propertiesAction🔗 Github
list-annotation-categoriesList annotation categories.Action🔗 Github
list-annotationsList chart annotations.Action🔗 Github
list-cohortsList cohorts.Action🔗 Github
list-event-categoriesList event categories from Amplitude taxonomyAction🔗 Github
list-event-propertiesList event properties in taxonomy.Action🔗 Github
list-event-typesList taxonomy event typesAction🔗 Github
list-group-propertiesList group properties in taxonomy.Action🔗 Github
list-user-propertiesList user properties in taxonomyAction🔗 Github
query-chartQuery a chart result by ID.Action🔗 Github
restore-event-propertyRestore a deleted event property in taxonomy.Action🔗 Github
restore-event-typeRestore a deleted taxonomy event type.Action🔗 Github
restore-user-propertyRestore a deleted user property in taxonomy.Action🔗 Github
search-usersSearch for users by Amplitude ID, device ID, user ID, or user ID prefix.Action🔗 Github
track-eventSend an event to Amplitude.Action🔗 Github
update-annotation-categoryUpdate an annotation categoryAction🔗 Github
update-annotationUpdate a chart annotation.Action🔗 Github
update-event-categoryUpdate an event category.Action🔗 Github
update-event-propertyUpdate an event property in taxonomy.Action🔗 Github
update-event-typeUpdate a taxonomy event type.Action🔗 Github
update-group-propertyUpdate a group property in taxonomy.Action🔗 Github
update-user-propertyUpdate a user property in taxonomy.Action🔗 Github
annotation-categoriesSync Amplitude annotation categories.Sync🔗 Github
annotationsSync Amplitude chart annotations.Sync🔗 Github
cohort-membersSync cohort members.Sync🔗 Github
cohortsSync cohorts.Sync🔗 Github
event-categoriesSync Amplitude taxonomy event categoriesSync🔗 Github
event-propertiesSync Amplitude taxonomy event propertiesSync🔗 Github
event-typesSync Amplitude taxonomy event typesSync🔗 Github
events-exportSync events export.Sync🔗 Github
group-propertiesSync Amplitude taxonomy group propertiesSync🔗 Github
user-propertiesSync Amplitude taxonomy user properties.Sync🔗 Github

On this page